GREP-EXCUSES(1)

NOM
grep-excuses - Rechercher les fichiers d'excuses pour Testing d'un responsable

SYNOPSIS
grep-excuses [options] [responsable|paquet]

DESCRIPTION
grep-excuses télécharge les fichiers autoremovals et update_excuses.html et y recherche (avec grep) un certain nom de responsable ou de paquet. Le paquet wget est nécessaire pour ce script. Si aucun nom n'est fourni en ligne de commande, la première variable d'environnement DEBFULLNAME est utilisée si elle est définie et sinon, la variable de configuration décrite plus bas est utilisée.

OPTIONS

--no-conf, --noconf
    Ne lire aucun fichier de configuration. L'option ne peut être utilisée qu'en première position de la ligne de commande.

--wipnity, -w
    Récupérer les informations de <https://qa.debian.org/excuses.php>. Un ou plusieurs nom(s) de paquet doit être fourni quand on utilise cette option.

--help
    Affiche un bref message d'aide.

--version
    Affiche la version et le copyright.

--autopkgtest
    Examine et montre les erreurs autopkgtest (ci.debian.net) dans ce paquet mais apparemment causées par de nouvelles versions d'autres paquets en cours de migration. (--no-autopkgtests peut être utilisé pour surcharger GREP_EXCUSES_AUTOPKGTESTS.)

--no-autoremovals
    Rechercher et montrer les fichiers excuses de propagation de Testing seulement, pas les autoremovals.

--debug
    Afficher les sorties de débogage sur la sortie d'erreur standard (y compris les URL récupérées).

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont évalués dans cet ordre par un interpréteur de commandes pour placer les variables de configuration. Des options de ligne de commande peuvent être utilisées pour neutraliser les paramètres des fichiers de configuration. Les paramètres des variables d'environnement sont ignorés à cette fin. Si la première option donnée en ligne de commande est --noconf, alors ces fichiers ne sont pas évalués. Les variables actuellement identifiées sont :

GREP_EXCUSES_MAINTAINER
    Le responsable, l'adresse électronique ou le paquet qui sera utilisé par défaut si aucun n'est indiqué en ligne de commande.

GREP_EXCUSES_MAINTAINER
    Booléen: montrer ou non les erreurs autopkgtest dans les autres paquets. Voir --autopkgtests.

VOIR AUSSI
devscripts.conf(5)

AUTEUR
Joey Hess <joeyh@debian.org> ; modifications par Julian Gilbey <jdg@debian.org>.

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.alioth.debian.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.